using System.Text.Json.Serialization;

public partial class TranscriptionJob
{
    [JsonPropertyName("jobName")]
    public string JobName { get; set; }

    [JsonPropertyName("accountId")]
    public string AccountId { get; set; }

    [JsonPropertyName("results")]
    public Results Results { get; set; }

    [JsonPropertyName("status")]
    public string Status { get; set; }
}

public partial class Results
{
    [JsonPropertyName("transcripts")]
    public Transcript[] Transcripts { get; set; }

    [JsonPropertyName("channel_labels")]
    public ChannelLabels ChannelLabels { get; set; }

    [JsonPropertyName("items")]
    public Item[] Items { get; set; }
}

public partial class ChannelLabels
{
    [JsonPropertyName("channels")]
    public Channel[] Channels { get; set; }

    [JsonPropertyName("number_of_channels")]
    public long NumberOfChannels { get; set; }
}

public partial class Channel
{
    [JsonPropertyName("channel_label")]
    public string ChannelLabel { get; set; }

    [JsonPropertyName("items")]
    public Item[] Items { get; set; }
}

public partial class Item
{
    [JsonPropertyName("channel_label")]
    public string ChannelLabel { get; set; }

    [JsonPropertyName("start_time")]
    public double StartTime { get; set; }

    [JsonPropertyName("end_time")]
    public double EndTime { get; set; }

    [JsonPropertyName("alternatives")]
    public Alternative[] Alternatives { get; set; }

    [JsonPropertyName("type")]
    public AudioType Type { get; set; }
}

public enum AudioType
{
    Punctuation,
    Pronunciation
}

public partial class Alternative
{
    [JsonPropertyName("confidence")]
    public string Confidence { get; set; }

    [JsonPropertyName("content")]
    public string Content { get; set; }
}

public partial class Transcript
{
    [JsonPropertyName("transcript")]
    public string TranscriptTranscript { get; set; }
}
